import { SensorsService } from '@business/services/http/sensors.service';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BasicInfoComponent } from './basic-info/basic-info.component';
import {RouterModule, Routes} from '@angular/router';
import { PipeModule } from '@business/pipe/pipe.module';
import { SharedModule } from '@shared/shared.module';
import { _HttpClient } from '@delon/theme/services/http/http.client';
import { FormBuilder } from '@angular/forms';
import { SensorEditComponent } from './basic-info/sensor-edit/sensor-edit.component';
import { SensorUnitComponent } from './basic-info/sensor-unit/sensor-unit.component';
import { ToolsService } from '@business/services/util/tools.service';
import { SensorUnitService } from '@business/services/http/sensor-unit.service';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'basic', component: BasicInfoComponent }
    ]
  }
];
const COMPONENTS_NOROUNT = [SensorEditComponent, SensorUnitComponent];
@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [    
    BasicInfoComponent,
    SensorUnitComponent,
    SensorEditComponent
  ],
  providers: [SensorsService, _HttpClient, FormBuilder, ToolsService, SensorUnitService],
  entryComponents: COMPONENTS_NOROUNT
})
export class SensorsModule { }
